<?php

class actionMypatchPatchDelete extends cmsAction {
    
    public function run($patch_id=false){

        $is_admin = cmsUser::isAdmin();
        if (!$is_admin) { cmsCore::error404(); }
        if (!$patch_id) { cmsCore::error404(); }
        
        $mypatch_model = cmsCore::getModel('mypatch');
        
        $patch = $mypatch_model->getPatch($patch_id);
        
        if (!$patch) { cmsCore::error404(); }
        
        $mypatch_error = $mypatch_model->deletePatch($patch_id);
            if ($mypatch_error['file_reset']) {
            cmsUser::addSessionMessage(LANG_MYPATCH_ERRORS_ORIGINAL_RESET, 'error');
            }

        $this->redirectToAction('');
        
    }
    
}

